org.apache.lucene.ant

## Class IndexTask.AnalyzerType

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.lucene.ant.IndexTask.AnalyzerType

- Enclosing class:
    IndexTask

      public static class IndexTask.AnalyzerType
      extends org.apache.tools.ant.types.EnumeratedAttribute

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalyzerType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClassname()`
    `java.lang.String[]` | `getValues()`

    - ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnalyzerType

          public AnalyzerType()

  - ### Method Detail

    - #### getValues

          public java.lang.String[] getValues()

      Specified by:
        `getValues` in class `org.apache.tools.ant.types.EnumeratedAttribute`
      See Also:
        `EnumeratedAttribute.getValues()`

    - #### getClassname

          public java.lang.String getClassname()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.